Skip to main content
POST
Submit registration data to a registration flow

Query Parameters

flow
string
required

Flow identifier returned by the matching create-flow endpoint. Submit/update requests must use the same flow id.

Body

application/json

self-service flow update payload. Pass the flow id in the query string and include the fields required by the selected method.

JSON payload used to submit a new user registration to an registration flow.

method
enum<string>
required

Registration method. The client submits password for password-based registration.

Available options:
password
traits
object
required

User identity traits to create on the identity.

password
string<password>
required

Password to attach to the new identity. The mobile app can generate a secure random password for OTP-based onboarding.

csrf_token
string

CSRF token copied from the registration flow UI node when required.

Response

Registration flow accepted. The response is the updated registration flow and may include additional session fields when immediate session creation is enabled.

self-service flow object returned by login, registration, recovery, and settings create/update endpoints.

id
string

Flow id. Use this value as the flow query parameter when submitting or updating the flow.

type
string

Flow type returned by the system, for example browser or api.

expires_at
string<date-time>

Timestamp when the flow expires. Submit the flow before this time.

issued_at
string<date-time>

Timestamp when created the flow.

ui
object

UI payload containing action URL, method, nodes, messages, and CSRF node when required.

state
string

Current flow state, such as choose_method, sent_email, passed_challenge, or success.

request_url
string

Original request URL used to create the flow.

organization_id
string | null

organization id for organization-scoped flows, when supplied.

created_at
string<date-time>

Flow creation timestamp.

updated_at
string<date-time>

Flow update timestamp.

refresh
boolean

Whether the flow is a refresh flow.

requested_aal
string

Requested authenticator assurance level for the flow.

identity
any

Identity attached to settings flows when the system includes it.